/**
 * PETALS - PETALS Services Platform. Copyright (c) 2006 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * -------------------------------------------------------------------------
 * $Id: SessionDescriptor.java 154 28 sept. 06 ofabre $
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.bc.mail.listeners;

/**
 * This descriptor handles information used to connect to a mail server to read
 * or send mail.
 * 
 * @author Adrien LOUIS - EBMWebSourcing
 * @author ofabre - EBM Websourcing
 * 
 */
public class SessionDescriptor {

    /**
     * deleted Folder after messages are read
     */
    private boolean delete;

    /**
     * Used for both imap and pop3 scheme
     */
    private String folder;

    /**
     * Used only for smtp scheme
     */
    private String fromAddress;

    /**
     * Used for both smtp, imap and pop3 scheme
     */
    private String hostname;

    /**
     * Used for both smtp, imap and pop3 scheme
     */
    private String password;

    /**
     * Used for both imap and pop3 scheme
     */
    private String period;

    /**
     * Used for both smtp, imap and pop3 scheme
     */
    private String port;
    
    /**
     * HELO host name (mail.smtp.localhost)
     */
    private String heloHost;

    /**
     * ReplyTo
     */
    private String replyAddress;

    /**
     * Used for both smtp, imap and pop3 scheme
     */
    private String scheme;

    /**
     * Subject
     */
    private String subject;

    /**
     * Used only for smtp scheme
     */
    private String toAddress;

    /**
     * Used for both smtp, imap and pop3 scheme
     */
    private String username;

    /**
     * Body
     */
    private String body;
    
    private String sendMode;

    public String getSendMode() {
        return sendMode;
    }

    public void setSendMode(String sendMode) {
        this.sendMode = sendMode;
    }

    public String getBody() {
        return this.body;
    }

    public String getFolder() {
        return this.folder;
    }

    public String getFromAddress() {
        return this.fromAddress;
    }

    public String getHostname() {
        return this.hostname;
    }

    public String getPassword() {
        return this.password;
    }

    public String getPeriod() {
        return this.period;
    }

    public String getPort() {
        return this.port;
    }

    public String getReplyAddress() {
        return this.replyAddress;
    }

    public String getScheme() {
        return this.scheme;
    }

    public String getSubject() {
        return this.subject;
    }

    public String getToAddress() {
        return this.toAddress;
    }

    public String getUsername() {
        return this.username;
    }

    public boolean isDelete() {
        return this.delete;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public void setDelete(boolean delete) {
        this.delete = delete;
    }

    public void setFolder(String folder) {
        this.folder = folder;
    }

    public void setFromAddress(String fromAddress) {
        this.fromAddress = fromAddress;
    }

    public void setHostname(String hostname) {
        this.hostname = hostname;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public void setPeriod(String period) {
        this.period = period;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public void setReplyAddress(String replyAddress) {
        this.replyAddress = replyAddress;
    }

    public void setScheme(String scheme) {
        this.scheme = scheme;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public void setToAddress(String toAddress) {
        this.toAddress = toAddress;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getHeloHost() {
        return heloHost;
    }

    public void setHeloHost(String heloHost) {
        this.heloHost = heloHost;
    }

}
